/*
You can set styles for different pages
Examples:

body.products-index {
	background:url('../images/stok.jpg');
	background-size:cover;
}

body.products-view {
	background:url('../images/stok.jpg');
	background-size:cover;
}

body.products-index, body.products-view, body.products-view, body.products-edit {
	background:#fafafa;
	color:red;
}

body.index-index {

}

body.home-index {

}

body.index-register {
	
}
*/

body,
html {
  height: 100%
}

body {
  margin: 0;
  padding: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
  font-size: 12px;
  color: #212529;
  background: #ffffff !important;
  text-rendering: optimizeLegibility
}

.ajax-progress-bar {
  display: none;
}

.ajax-page-load-indicator {
  position: absolute;
  z-index: 9999;
  display: none;
  text-align: center;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.1);
  background-position: center;
  background-repeat: no-repeat;
  content: "";
}

.ajax-page-load-indicator .load-indicator {
  margin: 20% auto;
  width: 150px;
  background-color: #fff;
  padding: 10px;
  border-radius: 5px;
  box-shadow: 0 5px 5px rgba(0, 0, 0, 0.1);
}

.page-content.loading,
table.loading {
  overflow: hidden;
  position: relative;
}

#page-content {
  min-height: 84vh;
  /*UKURAN MINIMAL HALAMAN ANTARA HEADER DAN FOOTER*/
}

.password-strength-msg .chip {
  font-weight: 500;
  background-color: rgba(0, 0, 0, 0.1);
  font-size: x-small;
  padding: 1px 3px;
  border-radius: 3px;

}

td,
th {
  position: relative;
}

td .is-editable {
  border-bottom: none;
  border-bottom: 1px dashed #ccc;
}

td .is-editable:hover {
  border-bottom: 1px dashed rgba(40, 120, 50, 0.081);
}

.editable-error-block {
  color: red;
}

td .inline-edit-

 {
  position: absolute;
  right: 10px;
  display: none;
  top: 5px;
  color: #585859;
}

td:hover .inline-edit-btn {
  display: block;
}

.search-input {
  font-size: 12px;
  border: 1px solid #9b9b9b;

}

.search-input .holder {
  border: 1px solid #9b9b9b;
}

.search-input .search-result {
  max-height: 300px;
  overflow-y: auto;
}

.search-input .search-result .search-link {
  display: inline-block;
  text-decoration: none;
  padding: 9px;
  border: 1px solid #9b9b9b;
}

.search-input .search-result .search-link:hover {
  background-color: rgba(40, 120, 50, 0.081);
}

.selectize-control {
  min-width: 150px;
}

.was-validated .dropzone.required.dz-started {
  border-color: #02B878 !important;
}

.was-validated .selectize-input.full {
  border-color: #02B878 !important;
}

.was-validated .selectize-input.invalid {
  border-color: red !important;
}

.export-link-btn img {
  width: 24px;
  height: 24px;
}

.dropzone-input {
  opacity: 0;
  position: fixed;
  width: 0;
  height: 0;
  left: 0;
  top: 0;
  display: none;
}

.dropzone-input-foto {
  font-size: 12px !important;
  color:#9fd69d !important;
  text-align: center;
  width: 20px;
  height: 28px;
  border-radius:4px;
  padding: 50px;
  border: 1px solid #02B878;
}

.icon-camera-upload{
  font-size: 19px;
  color : #9fd69d;
  opacity: 0,88;

}

.sm-gutters {
  margin-right: -10px;
  margin-left: -10px;
}

.sm-gutters>[class*=col-] {
  padding-right: 10px;
  padding-left: 10px;
  border-radius: 5px
}

.md-gutters {
  margin-right: -20px;
  margin-left: -20px;
  border-radius: 5px
}

.md-gutters>[class*=col-] {
  padding-right: 20px;
  padding-left: 20px;
  border-radius: 5px
}

.lg-gutters {
  margin-right: -35px;
  margin-left: -35px;
  border-radius: 5px
}

.lg-gutters>[class*=col-] {
  padding-right: 35px;
  padding-left: 35px;
  border-radius: 5px
}

.pagination .material-icons {
  font-size: 10px !important;
}

.nav-tabs.flex-column {
  border-bottom: none !important;
}


.custom-file-label {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.star-rating .star {
  position: relative;
  display: inline-block;
  width: 0;
  height: 0;
  margin-left: .9em;
  margin-right: .9em;
  margin-bottom: 1.2em;
  border-right: .3em solid transparent;
  border-bottom: .7em solid #ccc;
  border-left: .3em solid transparent;
  /* Controlls the size of the stars. */
  font-size: 12px;
}

.star-rating .star:before,
.star-rating .star:after {
  content: '';
  display: block;
  width: 0;
  height: 0;
  position: absolute;
  top: .6em;
  left: -1em;
  border-right: 1em solid transparent;
  border-bottom: .7em solid #ccc;
  border-left: 1em solid transparent;
  -webkit-transform: rotate(-35deg);
  transform: rotate(-35deg);
}

.star-rating .star:after {
  -webkit-transform: rotate(35deg);
  transform: rotate(35deg);
}

.star-rating .star.active {
  border-bottom-color: #fc0;
}

.star-rating .star.active:before,
.star-rating .star.active:after {
  border-bottom-color: #fc0;
}

.td-check-button {
  font-size: 12px;
  color: #999;
}

.td-check-button.checked {
  color: #B8B8B9;
}

.filter-chip {
  display: inline-block;
  margin-right: 5px;
  margin-bottom: 5px;
  padding: 4px 5px;
}


.filter-chip .close-btn {
  text-decoration: none;
}

.accordion-group .accordion-header {
  position: relative;
  cursor: pointer;
  padding: 10px;
}

.accordion-group .accordion-header:hover {
  background: rgba(0, 0, 0, 0.05);
}

.accordion-group .accordion-header .expand {
  position: absolute;
  right: 10px;
  top: 5px;
}

.dropdown-toggle[aria-expanded="true"]:after {
  transform: rotate(180deg);
}

.dropdown-toggle.inverse:after {
  transform: rotate(180deg);
}

.dropdown-toggle:after {
  transition: 0.5s;
}

.sortedby {
  background: rgba(0, 0, 0, 0.06);
}

.sortedby .sort-icon {
  color: #ffbb00;
}

.th-sort-link {
  display: block;
  text-decoration: none !important;
  position: relative;
  color: inherit
}

.sort-icon {
  position: absolute;
  right: 10px;
  top: 10px;
}

.data-select .load-indicator {
  position: absolute;
  right: 30px;
  top: 7px;
}

.data-select {
  position: relative;
}

.page-footer {
  padding: 9px 0;
}

.page-header {
  padding: 9px 0;
}

.fixed-sticky {
  position: fixed;
}

hr.sm {
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
  -webkit-box-sizing: content-box;
  box-sizing: content-box;
  height: 0;
  overflow: visible;
}

.popover.inline-page .popover-header {
  padding: 0;
  background: none;
  border: none;
  position: relative;
}

.popover.inline-page .popover-header .close {
  position: absolute;
  right: 10px;
  top: 10px;
  width: 30px;
  height: 30px;
  float: none;
  text-align: center;
  z-index: 3000;
}

.close {
  cursor: pointer;
}

.inline-page.popover {
  max-width: 100%;
}

.inline-page .popover-body {
  padding: 0px !important;
}

/* Reset any container in side a column to take the size of the column  */

.comp-grid .container-fluid,
.comp-grid .container {
  padding: 0 !important;
  width: auto !important;
  border-radius: 5px;
}

.comp-grid .py-2,
.comp-grid .border-bottom {
  padding: 0 !important;
  border: none !important;
  border-radius: 5px;
}

.reset-grids .container .comp-grid,
.reset-grids .container-fluid .comp-grid {
  max-width: 100% !important;
  flex: 0 0 100% !important;
  border-radius: 5px;
}

#main-page-modal .card-body {
  padding: 0 !Important;
}

.modal .modal-body.p-0 form {
  padding: 1.4rem;
  border-radius: 5px;
}

.modal .container,
.modal .container-fluid {
  width: auto;
  padding: 0;
  margin: 0;
}

.page-modal .modal-header {
  display: none;
}

.page-modal .modal-footer {
  display: none;
}

.fixed-alert {
  position: fixed;
  z-index: 2000;
}

.fixed-alert.bottom-left {
  bottom: 10px;
  left: 10px;
}


input[type="radio"],
input[type="checkbox"] {
  vertical-align: middle;
}

.sidebar-foto {
  border-radius: 50% !important;
  padding-top: 0px;
}

.menu-profile {
  padding: 0;
  background: #02B787;
  position: relative;
  display: block;
}

.menu-profile a:hover {
  color: rgba(255, 255, 255, 0.9);
}

.navbar-fixed-left .navbar-nav>li.menu-profile>a.avatar {
  padding: 0 !important;

}

.menu-profile .user-name {
  padding: 10px;
  display: block;
  text-align: center;
  text-decoration: none;
  color: #ffffff;
  font-weight: bold;
}

.menu-profile .avatar-icon .material-icons {
  font-size: 18px;
}

.menu-profile img.user-photo {
  height: 60px;
  width: 60px;
  border-radius: 50%;
}

.menu-profile .menu-dropdown {
  position: absolute;
  right: 15px;
  top: 15px;
}

.flex-column.nav a.nav-link .badge {
  position: absolute;
  right: 5px;
  top: 25%;

}

.nav a.nav-link {
  position: relative;
}

.jumbotron.mini {
  padding: 20px;
  margin-bottom: 0;
}

.jumbotron.sm {
  padding: 15px;
  margin-bottom: 0;
}

.jumbotron.xs {
  padding: 8px;
  margin-bottom: 0;
}

section.page .page-title {
  margin: 20px auto;
  padding: 20px 0;
}

.flash-msg-container {
  position: fixed;
  bottom: 20px;
  left: 20px;
  z-index: 999999;
}

.section-title {
  padding: 5px 0;
}

.table tr td {
  vertical-align: middle !important;
  font-size: 12px !important;
}

.table tr {
  padding: 2px !important
}


table,
td,
th {
  border: 1px solid #dddddd !important;
  /*GARIS SEMUA TABEL*/
  text-align: left;
}

.card-table {
  border-radius: 5px;
  background: #ededee;
  border: 1px solid #e1ebe8;
  padding-top: 6px;
  margin-left: 4px;
}

.bold {
  font-weight: bold;
}

.custom-list {
  position: relative;
}

.custom-list .menu-controls-holder {
  position: absolute;
  right: 10px;
  top: 10px;
}

.box-data {
  //*Box data dihalaman View Karyawan*/
  display: flex;
  margin-left: 49px !important;
  padding-left: 10px;
}

.view-biodata {
  color: #ffffff;
  background-color: #02B878;
  font-size: 16px;
  padding: 10px;
  margin-bottom: 9px;
  border-bottom: 2px solid #777878;
  padding-left: 10px;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}

.detail-list {
  padding: 2px 0 !important;
  font-size: 14px;
  color: #097029;
  left: 29px;
}

.data-list {
  padding: 2px 0 !important;
  font-size: 14px;
  font-weight: bold;
  color: #292929;
}

.title-card-hitung {
  font-size: 14px;
  text-align: left;
  color: #024409;

}

.detail-list .title {
  font-weight: bold;
}

.text-truncate {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.option-btn {
  margin: 3px 0 3px;
}

.detail-list .value {
  font-weight: bold !important;
}

.btn.btn-flat {
  background: none;
}

.btn-group,
.btn-group-vertical {
  margin: 0;
}

.table {
  margin-bottom: 3px;
  border-color: #ced4da;
  -moz-border-radius: 4px;
  border-radius: 4px;
  background: #fff;
  border-collapse: collapse;
  width: 100%;

}

.page-list-record-detail input {
  padding: 5px 5px;
  background: #fafafa;
  border: 1px solid #ced4da;
  width: 50px;
  text-align: center;
}

.page-list-record-detail .info {
  padding: 5px 5px;
  background: #afa6a6;
  display: inline-block;
}

.table>thead>tr>th {
  vertical-align: middle;
  font-weight: 488;
  font-size: 12px;
  white-space: nowrap;
  padding: 8px;
}

.table>tbody>tr>td,
.table>tbody>tr>th,
.table>thead>tr>td {

  /*BARIS THEAD DAN BARIS PUTIH TABEL*/
  white-space: nowrap;
}

.pager {
  margin: 0;
}

.footer {
  width: 100%;
  padding-top: 29px;
  margin-top: 50px;
  /*Jarak Body dan footer*/
  font-size: 12px !important;
  /*ukuran tulisan di footer*/
  padding: 9px 0;
}

.footer .copyright {
  text-transform: capitalize;
  font-weight: bold;
  color: #999999;
}

.footer .footer-links a {
  display: inline-block;
  padding: 0 5px;
  text-transform: capitalize;
}

.table-borderless tbody tr td,
.table-borderless tbody tr th,
.table-borderless thead tr th {
  font-size: 12px;

}

.btn-outline-primary {
  color: #02B787;
  border-color: #02B787;
  background-color: #ededee;
  width: 139px;
  padding: 9px;
  font-size: 12px;
  font-weight: bold;
}

.btn-outline-primary:hover {
  color: #292929;
  font-weight: bolder;
  background-color: #ffe600;
  border-color: #353839;
  padding: 9px;
}

.btn-outline-primary:focus,
.btn-outline-primary.focus {
  box-shadow: 0 0 0 0.1rem rgba(0, 138, 41, 0.5);
}

.btn-outline-primary.disabled,
.btn-outline-primary:disabled {
  color: #02B787;
  background-color: transparent;
}

.btn-outline-primary:not(:disabled):not(.disabled):active,
.btn-outline-primary:not(:disabled):not(.disabled).active,
.show>.btn-outline-primary.dropdown-toggle {
  color: #fff;
  background-color: #02B787;
  border-color: #02B787;
}

.btn-outline-primary:not(:disabled):not(.disabled):active:focus,
.btn-outline-primary:not(:disabled):not(.disabled).active:focus,
.show>.btn-outline-primary.dropdown-toggle:focus {
  box-shadow: 0 0 0 0.2rem #02B787;
}

.radius-5 {
  border-radius: 5px;
}

.pad-10 {
  padding: 10px;
}

.center-block {
  float: none;
}

.gutter-20.row {
  margin-right: -10px;
  margin-left: -10px;
}

.gutter-20>[class^="col-"],
.gutter-20>[class^=" col-"] {
  padding-right: 10px;
  padding-left: 10px;
  border-radius: 5px
}

.gutter-10.row {
  margin-right: -5px;
  margin-left: -5px;
}

.gutter-10>[class^="col-"],
.gutter-10>[class^=" col-"] {
  padding-right: 5px;
  padding-left: 5px;
  border-radius: 5px
}

.gutter-5.row {
  margin-right: -3px;
  margin-left: -3px;
}

.gutter-5>[class^="col-"],
.gutter-5>[class^=" col-"] {
  padding-right: 3px;
  padding-left: 3px;
  border-radius: 5px
}

.gutter-1.row {
  margin-right: -1px;
  margin-left: -1px;
}

.gutter-1>[class^="col-"],
.gutter-1>[class^=" col-"] {
  padding-right: 1px;
  padding-left: 1px;
  border-radius: 5px
}

.gutter-0.row {
  margin-right: 0;
  margin-left: 0;
}

.gutter-0>[class^="col-"],
.gutter-0>[class^=" col-"] {
  padding-right: 0;
  padding-left: 0;
  border-radius: 5px
}

h1,
h2,
h3,
h4,
h5 {
  margin: 0;
  padding: 0;
}

h4 {
  font-size: 20px !important;
}

h5 {
  font-size: 18px;
}

.table td.fit,
.table th.fit {
  white-space: nowrap;
  width: 1%;
}

th.td-btn {
  white-space: nowrap;
  width: 1%;
  font-size: 8px;
}

table.table tr th.td-sno {
  white-space: nowrap;
  width: 1%;
  vertical-align: middle !important;
}

table.table tr th.td-checkbox {
  white-space: nowrap;
  width: 1%;
  vertical-align: middle !important;
}

.export-container {
  padding: 10px 0;
}

.form-inline .control-label {
  display: block;
  height: 48px;
  background: #02B878;
  color: #212121;
  font-size: 12px;
  -webkit-box-shadow: none;
  box-shadow: none;
  border: 1px solid transparent;
  padding-left: 20px;
  padding-right: 20px;
  -webkit-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}

.profile {
  padding: 20px;
}

a.avatar {
  padding: 0 !Important;
}

.profile .avatar img {
  border-radius: 50%;
  max-width: 100px;
  max-height: 100px;
  ;
}

.profile .title {
  text-transform: capitalize;
  color: #fff;
}

.record-count {
  display: block;
  padding: 10px !important;
  text-decoration: none !important;
  cursor: pointer;
  margin-bottom: 10px;
  vertical-align: middle;

}

.record-count .material-icons {
  /*CSS untuk Icon didalam Card yang menghitung jumlah data*/
  font-size: 29px !important;
  text-align: center;
  align-items: center;
  vertical-align: middle;
  justify-content: center;
  color: #ffffff !important;
}

.rounded-circle-icon {
  border-radius: 50% !important;
  background: linear-gradient(87deg, #02B878 0, #79f8a8 100%) !important;
  padding: 4px;
}

.record-count.alert .material-icons {
  opacity: 0.3;
}

.record-count:hover {
  color: #000;
  border-color: transparent;
}

.record-count .title {
  margin-bottom: 2px;
}

.record-count .value {
  position: absolute;
  right: 10px;
  top: 6px;
  opacity: 0.8;
  vertical-align: middle !important;
}

.record-count .desc {
  display: block;
  margin-top: 4px;
}

.record-count .progress {
  height: 10px;
  margin: 0 0;
  margin-top: 5px;
  border-radius: 0;
}

.record-count .progress-bar {
  line-height: 10px !important;
}

.record-count .progress-label {
  font-size: 8px;
}

.record-progress {
  display: block;
  padding: 10px 15px !important;
  text-decoration: none !important;
  cursor: pointer;
  margin-bottom: 10px;
}

.record-progress .icon {
  position: absolute;
  right: 10px;
  top: 6px;
  opacity: 0.5;
}

.record-progress .icon .material-icons {
  font-size: 10px !important;
}

.record-progress:hover {
  background: rgba(0, 0, 0, 0.1);
  color: #000;
  border-color: transparent;
}

.record-progress .title {
  font-weight: bold;
  margin-bottom: 10px;
}

.record-progress .value {
  position: absolute;
  right: 10px;
  top: 6px;
  opacity: 0.8;
}

.record-progress .desc {
  display: block;
  margin-top: 4px;
}

.record-progress .progress {
  height: 15px;
  margin: 5px 0;
  border-radius: 0;
}

.record-progress .progress-bar {
  line-height: 15px !important;
}

.record-progress .progress-label {
  font-weight: bold;
  font-size: 10px;
}

td.page-list-action {
  width: 50px;
}

td.page-list-action .dropdown-menu {
  min-width: auto !Important;
}

.dropdown-submenu {
  position: relative;
}

.dropdown-submenu>.dropdown-menu {
  top: 0;
  left: 100%;
  margin-top: -6px;
  margin-left: -1px;
  -webkit-border-radius: 0 6px 6px 6px;
  -moz-border-radius: 0 6px 6px;
  border-radius: 0 6px 6px 6px;
}

.dropdown-submenu:hover>.dropdown-menu {
  display: block;
}

.dropdown-submenu>a:after {
  display: block;
  content: " ";
  float: right;
  width: 0;
  height: 0;
  border-color: transparent;
  border-style: solid;
  border-width: 5px 0 5px 5px;
  border-left-color: #383838;
  margin-top: 5px;
  margin-right: -10px;
}

.dropdown-submenu:hover>a:after {
  border-left-color: #fff;
}

.dropdown-submenu.pull-left {
  float: none;
}

.dropdown-submenu.pull-left>.dropdown-menu {
  left: -100%;
  margin-left: 10px;
  -webkit-border-radius: 6px 0 6px 6px;
  -moz-border-radius: 6px 0 6px 6px;
  border-radius: 6px 0 6px 6px;
}

.load-indicator {
  text-align: center;
}

.load-indicator.parallax {
  margin: 0;
  position: absolute;
  left: 0;
  top: 0;
  line-height: 100%;
  height: 100%;
  width: 100%;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
  justify-content: center;
  z-index: 1000000;
}

.load-indicator.fullpage-parallax {
  margin: 0;
  position: fixed;
  left: 0;
  top: 0;
  line-height: 100%;
  height: 100%;
  width: 100%;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
  justify-content: center;
  z-index: 1000000;
}

.load-indicator.dark {
  background: rgba(0, 0, 0, 0.2);
}

.load-indicator.white {
  background: rgba(255, 255, 255, 0.9);
}

.load-indicator .loading-text {
  display: inline-block;
  padding: 10px;
  font-size: 15px;
  font-weight: 100;
  vertical-align: middle;
}

.load-indicator .animator {
  font-weight: bold;
  display: inline-block;
  padding: 10px;
  vertical-align: middle;
}

.btn .load-indicator {
  display: inline-block !important;
  margin: 5px;
}

.range-slider {
  position: relative;
}

.range-slider .value {
  position: absolute;
  right: -30px;
  top: 20%;
  padding: 2px;
  min-width: 25px;
  height: 25px;
  vertical-align: middle;
  line-height: 20px;
  border: 1px solid #ccc;
  background: #fafafa;
  color: #888;
  text-align: center;
}

input[type=range] {
  width: 100%;
  margin: 6.5px 0;
}

input[type=range]:focus {
  outline: none;
}

input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 7px;
  cursor: pointer;
  box-shadow: 0px 0px 0px rgba(0, 0, 0, 0), 0px 0px 0px rgba(13, 13, 13, 0);
  background: rgba(0, 201, 88, 0.78);
  border-radius: 0.8px;
  border: 0px solid rgba(0, 0, 1, 0);
}

/*CSS pada form select input (data pilihan)*/

input[type=range]::-webkit-slider-thumb {
  box-shadow: 1.9px 1.9px 0px rgba(0, 0, 0, 0.1), 0px 0px 1.9px rgba(13, 13, 13, 0.1);
  border: 0px solid rgba(0, 0, 0, 0);
  height: 20px;
  width: 21px;
  border-radius: 50px;
  background: rgba(0, 201, 88, 0.78);
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -6.5px;
}

input[type=range]:focus::-webkit-slider-runnable-track {
  background: rgba(36, 0, 0, 0.11);
}

input[type=range]::-moz-range-track {
  width: 100%;
  height: 7px;
  cursor: pointer;
  box-shadow: 0px 0px 0px rgba(0, 0, 0, 0), 0px 0px 0px rgba(13, 13, 13, 0);
  background: rgba(10, 0, 0, 0.11);
  border-radius: 0.8px;
  border: 0px solid rgba(0, 0, 1, 0);
}

input[type=range]::-moz-range-thumb {
  box-shadow: 1.9px 1.9px 0px rgba(0, 0, 0, 0.1), 0px 0px 1.9px rgba(13, 13, 13, 0.1);
  border: 0px solid rgba(0, 0, 0, 0);
  height: 20px;
  width: 21px;
  border-radius: 50px;
  background: rgba(0, 201, 88, 0.78);
  cursor: pointer;
}

input[type=range]::-ms-track {
  width: 100%;
  height: 7px;
  cursor: pointer;
  background: transparent;
  border-color: transparent;
  color: transparent;
}

input[type=range]::-ms-fill-lower {
  background: rgba(0, 0, 0, 0.11);
  border: 0px solid rgba(0, 0, 1, 0);
  border-radius: 1.6px;
  box-shadow: 0px 0px 0px rgba(0, 0, 0, 0), 0px 0px 0px rgba(13, 13, 13, 0);
}

input[type=range]::-ms-fill-upper {
  background: rgba(10, 0, 0, 0.11);
  border: 0px solid rgba(0, 0, 1, 0);
  border-radius: 1.6px;
  box-shadow: 0px 0px 0px rgba(0, 0, 0, 0), 0px 0px 0px rgba(13, 13, 13, 0);
}

input[type=range]::-ms-thumb {
  box-shadow: 1.9px 1.9px 0px rgba(0, 0, 0, 0.1), 0px 0px 1.9px rgba(13, 13, 13, 0.1);
  border: 0px solid rgba(0, 0, 0, 0);
  height: 20px;
  width: 21px;
  border-radius: 50px;
  background: rgba(0, 201, 88, 0.78);
  cursor: pointer;
  height: 7px;
}

input[type=range]:focus::-ms-fill-lower {
  background: rgba(10, 0, 0, 0.11);
}

input[type=range]:focus::-ms-fill-upper {
  background: rgba(36, 0, 0, 0.11);
}

.radial-progress-container {
  position: relative;
  margin: 0 auto;
}

.radial-progress-inner {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  position: absolute;
  border-radius: 50%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.file-list {
  margin-bottom: 10px;
  padding: 5px;
}

.file-uploads {
  overflow: visible !important;
  margin-bottom: 0 !important;
}

label {
  margin-bottom: 0 !important;
  margin-top: 3px;
}

.ajax-loader {
  color: #808080;
  font-size: 20px;
  margin: 100px auto;
  width: 1em;
  height: 1em;
  border-radius: 50%;
  position: relative;
  text-indent: -9999em;
  -webkit-animation: load4 1.3s infinite linear;
  animation: load4 1.3s infinite linear;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
}

.inline-page form {
  position: relative !important;
}

.form-ajax-status {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.7);
  display: none;
}

@-webkit-keyframes load4 {

  0%,
  100% {
    box-shadow: 0 -3em 0 0.2em, 2em -2em 0 0em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 0;
  }

  12.5% {
    box-shadow: 0 -3em 0 0, 2em -2em 0 0.2em, 3em 0 0 0, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
  }

  25% {
    box-shadow: 0 -3em 0 -0.5em, 2em -2em 0 0, 3em 0 0 0.2em, 2em 2em 0 0, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
  }

  37.5% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 0, 2em 2em 0 0.2em, 0 3em 0 0em, -2em 2em 0 -1em, -3em 0em 0 -1em, -2em -2em 0 -1em;
  }

  50% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 0em, 0 3em 0 0.2em, -2em 2em 0 0, -3em 0em 0 -1em, -2em -2em 0 -1em;
  }

  62.5% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 0, -2em 2em 0 0.2em, -3em 0 0 0, -2em -2em 0 -1em;
  }

  75% {
    box-shadow: 0em -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0.2em, -2em -2em 0 0;
  }

  87.5% {
    box-shadow: 0em -3em 0 0, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0, -2em -2em 0 0.2em;
  }
}

@keyframes load4 {

  0%,
  100% {
    box-shadow: 0 -3em 0 0.2em, 2em -2em 0 0em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 0;
  }

  12.5% {
    box-shadow: 0 -3em 0 0, 2em -2em 0 0.2em, 3em 0 0 0, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
  }

  25% {
    box-shadow: 0 -3em 0 -0.5em, 2em -2em 0 0, 3em 0 0 0.2em, 2em 2em 0 0, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
  }

  37.5% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 0, 2em 2em 0 0.2em, 0 3em 0 0em, -2em 2em 0 -1em, -3em 0em 0 -1em, -2em -2em 0 -1em;
  }

  50% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 0em, 0 3em 0 0.2em, -2em 2em 0 0, -3em 0em 0 -1em, -2em -2em 0 -1em;
  }

  62.5% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 0, -2em 2em 0 0.2em, -3em 0 0 0, -2em -2em 0 -1em;
  }

  75% {
    box-shadow: 0em -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0.2em, -2em -2em 0 0;
  }

  87.5% {
    box-shadow: 0em -3em 0 0, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0, -2em -2em 0 0.2em;
  }
}

.lds-dual-ring {
  display: block;
  width: 64px;
  height: 64px;
  margin: auto auto;
}

.lds-dual-ring:after {
  content: " ";
  display: block;
  width: 46px;
  height: 46px;
  margin: 1px;
  border-radius: 50%;
  border: 5px solid #aaa;
  border-color: #aaa transparent #aaa transparent;
  animation: lds-dual-ring 1.2s linear infinite;
}

@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}


.loader,
.loader:after {
  border-radius: 50%;
  width: 2em;
  height: 2em;
  display: inline-block;
}

.loader {
  position: relative;
  border-top: 0.3em solid rgba(0, 0, 128, 0.2);
  border-right: 0.3em solid rgba(0, 0, 128, 0.2);
  border-bottom: 0.3em solid rgba(0, 0, 128, 0.2);
  border-left: 0.3em solid #999;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-animation: load8 1.1s infinite linear;
  animation: load8 1.1s infinite linear;
}

@-webkit-keyframes load8 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes load8 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

#sidebar::-webkit-scrollbar {
  width: 6px;
}

/* Track */
#sidebar::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  background: #fff;
  border: 4px solid transparent;
  background-clip: content-box;
}

/* Handle */
#sidebar::-webkit-scrollbar-thumb {
  background: #02B878;
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

.passtrengthMeter {
  position: relative;
  width: 100%;
}

.passtrengthMeter>input {
  width: 100%;
  display: inline-block;
  padding: 5px;
  box-sizing: border-box;
  -moz-box-shadow: none !important;
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
}

.passtrengthMeter>input:focus {
  outline-width: 0;
}

.passtrengthMeter::after {
  content: '';
  height: 3px;
  overflow: hidden;
  width: 0%;
  transition: width .5s;
  position: absolute;
  left: 0px;
  bottom: 0px;
}

.passtrengthMeter.weak::after {
  background-color: #EC644B;
  width: 25%;
}

.passtrengthMeter.medium::after {
  content: '';
  background-color: #E87E04;
  width: 50%;
}

.passtrengthMeter.strong::after {
  content: '';
  background-color: #EFBF17;
  width: 75%;
}

.passtrengthMeter.very-strong::after {
  content: '';
  background-color: #42A72A;
  width: 100%;
}

.passtrengthMeter .showPassword {
  position: absolute;
  width: 20px;
  top: calc(50% - 10px);
  right: 10px;
}

.passtrengthMeter .showPassword.active {
  opacity: .5;
}

.passtrengthMeter .showPassword img {
  display: block;
  width: 100%;
  height: auto;
}

.passtrengthMeter .showPassword:hover {
  cursor: pointer;
}

.passtrengthMeter .tooltip {
  background: #000000;
  top: 100%;
  color: #fff;
  font-family: Arial;
  font-size: 12px;
  display: block;
  left: 50%;
  margin-bottom: 15px;
  opacity: 0;
  padding: 5px 10px;
  pointer-events: none;
  position: absolute;
  min-width: 70px;
  box-sizing: border-box;
  text-align: center;
  z-index: 10;
  -webkit-transform: translateY(5px);
  -moz-transform: translateY(5px);
  -ms-transform: translateY(5px);
  -o-transform: translateY(5px);
  transform: translateY(5px);
  -webkit-transition: all .25s ease-out;
  -moz-transition: all .25s ease-out;
  -ms-transition: all .25s ease-out;
  -o-transition: all .25s ease-out;
  transition: all .25s ease-out;
  -webkit-box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.28);
  -moz-box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.28);
  -ms-box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.28);
  -o-box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.28);
  box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.28);
}

.passtrengthMeter.weak .tooltip {
  background-color: #EC644B;
}

.passtrengthMeter.weak .tooltip:after {
  border-left: solid transparent 7px;
  border-right: solid transparent 7px;
  border-bottom: solid #EC644B 7px;
  top: -7px;
  content: " ";
  height: 0;
  left: 50%;
  margin-left: -7px;
  position: absolute;
  width: 0;
}

.passtrengthMeter.medium .tooltip {
  background-color: #E87E04;
}

.passtrengthMeter.medium .tooltip:after {
  border-left: solid transparent 7px;
  border-right: solid transparent 7px;
  border-bottom: solid #E87E04 7px;
  top: -7px;
  content: " ";
  height: 0;
  left: 50%;
  margin-left: -7px;
  position: absolute;
  width: 0;
}

.passtrengthMeter.strong .tooltip {
  background-color: #EFBF17;
}

.passtrengthMeter.strong .tooltip:after {
  border-left: solid transparent 7px;
  border-right: solid transparent 7px;
  border-bottom: solid #EFBF17 7px;
  top: -7px;
  content: " ";
  height: 0;
  left: 50%;
  margin-left: -7px;
  position: absolute;
  width: 0;
}

.passtrengthMeter.very-strong .tooltip {
  background-color: #42A72A;
}

.passtrengthMeter.very-strong .tooltip:after {
  border-left: solid transparent 7px;
  border-right: solid transparent 7px;
  border-bottom: solid #42A72A 7px;
  top: -7px;
  content: " ";
  height: 0;
  left: 50%;
  margin-left: -7px;
  position: absolute;
  width: 0;
}

.passtrengthMeter.weak .tooltip:before {
  top: -20px;
  content: " ";
  display: block;
  height: 20px;
  left: 0;
  position: absolute;
  width: 100%;
}

.passtrengthMeter .tooltip:after {
  border-left: solid transparent 7px;
  border-right: solid transparent 7px;
  border-bottom: solid #000000 7px;
  top: -7px;
  content: " ";
  height: 0;
  left: 50%;
  margin-left: -7px;
  position: absolute;
  width: 0;
  -webkit-transition: all .25s ease-out;
  -moz-transition: all .25s ease-out;
  -ms-transition: all .25s ease-out;
  -o-transition: all .25s ease-out;
  transition: all .25s ease-out;
}

.passtrengthMeter:hover .tooltip {
  opacity: 1;
  pointer-events: auto;
  -webkit-transform: translateY(10px);
  -moz-transform: translateY(10px);
  -ms-transform: translateY(10px);
  -o-transform: translateY(10px);
  transform: translateY(10px);
}

.lte8 .passtrengthMeter .tooltip {
  display: none;
}

.lte8 .passtrengthMeter:hover .tooltip {
  display: block;
}

body {
  padding-top: 50px;
  font-family: -apple-system, BlinkMacSystemFont, "Roboto", "Helvetica Neue", Arial, sans-serif;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  text-align: left;
}

#page-wrapper {
  display: flex;
  width: 100%;
  align-items: stretch;
}

#sidebar {
  position: fixed;
  max-width: 240px;
  height: 100%;
  transition: all 0.3s;
  top: 0px;
  left: 0px;
  font-size: 12px;
  box-shadow: 3px 3px 0px #e2e4e8;
  overflow: auto;
  z-index: 1000;
}

#sidebar.active {
  margin-left: 0;
}

#main-content {
  margin-left: 240px;
  width: 100%;
}

#main #main-content {
  width: calc(100% - 250px);
}

#main #main-content.active {
  width: 100%;
}

#sidebar .submenu {
  margin-left: 14px;
}

.bg-topbar {
  background-color: #e3e3e9;
  box-shadow: 2px #b6b6b8;


}

/*MENU DISEBELAH KIRI*/
.text-role {
  color: #fff68e;
  font-size: 12px;

}

#sidebar .navbar-nav a.nav-link {
  padding: 9px !important;
  width: 240px;
  padding-top: 6px;
  padding-bottom: 4px;
  color: #ffffff;
  background: #02B787;
  font-size: 12px;
  cursor: pointer;
  z-index: 1;
  overflow: auto;
  font-family: -apple-system, BlinkMacSystemFont, 'Helvetica Neue', sans-serif;


}

#sidebar .navbar-nav a.nav-link:hover {
  /*MENU SIDEBAR SAAT KENA CURSOR*/
  background: #ffaa00;
  color: #292929;
  font-weight: bold;
  padding: 19px;
  left: 9px;
  bottom: 8px;
  border-top-right-radius: 12px;
  border-bottom-right-radius: 2px;
  box-shadow: 2px 1px 1px #e7e7e8;
  border-left: 4px solid #0d1608 !important;
}


#sidebar .navbar-nav a.dropdown-toggle::after {
  float: right;
  margin-right: 7px;
  margin-top: 7px;
}

#sidebar.navbar-nav>li>a .fa {
  margin-right: 12px;
}

#sidebar .menu-profile>a.avatar {
  padding: 0 !important;
}


.navbar-brand {
  min-width: 12%;
}

.navbar-brand img {
  display: inline;
  height: 44px;
}


/* ============================CSS COSTUM TM================================== */

input[type=submit] {
  width: 100%;
  background-color: #ffffff;
  color: #292929;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

input[type=submit]:hover {
  background-color: #ffffff;
}

.card-view {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  width: 60%;
  padding: 10px;
}

.btn-kembali {
  color: #4b4949;
  padding-left: 18px;
  font-size: 18px !important;
  background-color: transparent;
  box-shadow: none !important;
  margin-left: 0;

}

.text-header {
  padding-left: 0;
  padding-top: 9px;
  color: #4b4949 !important;
  margin-left: 5px;
  font-weight: bold;
  font-family: -apple-system, BlinkMacSystemFont, 'Roboto', 'Helvetica Neue', sans-serif !important;

}

.tulisan-kecil-header {
  font-size: 0.88rem;
  color: #747474
}

.bg-header {
  background-color: #ffffff;
  padding-left: 18px;
  padding-top: 9px !important;
  padding-bottom: 9px !important;
  vertical-align: middle !important;
  border-bottom: 1px solid #dfd9d9;
}

.garis-bawah {
  border-bottom: 1px solid #dcdcdd;
  padding-bottom: 8px;
  margin-left: 0;
  margin-right: 8px;
}

.bg-conten,
.bg-form {
  background-color: #ededee;
  padding-top: 8px !important;
  padding-bottom: 8px !important;
  border-radius: 4px;
  margin-left: 2px;
  margin-right: 2px;
}

.bg-conten-card {
  background-color: #d8fff8;
  padding-top: 8px !important;
  padding-bottom: 8px !important;
  padding-left: 9px !important;
  border-radius: 4px;
  margin: 9px;
}
.card-upload {
  background-color: #ffffff;
  margin: 10px;
  padding: 5px;
  font-size: 14px;
  color: #747474;
  border-color: rgb(88, 88, 88);
  border-radius: 4px;
  text-align: center;
}

/* CSS untuk Label Form*/
label.control-label {
  color: #292929;
  font-size: 14px;
  font-weight: bold;
  padding-left: 10px;
}

/*CSS untuk tulisan dalam kotak Form Input*/
input.form-control {
  color: #929499;
  font-size: 14px !important;
  padding: 8px;
  vertical-align: middle;
  border: 1px solid #d6d6d6;
}

/*CSS untuk Form yang memiliki pilihan data*/
select.custom-select {
  color: #292929;
  font-weight: bold;
  font-size: 13px;
  font-style: italic !important;
  vertical-align: middle;
  border: 1px solid #9b9b9b;
}

select.custom-select:hover {
  background-color: #ffffff;
  color: #252529;
  font-style: normal !important;

}

/*CSS untuk Form yang memiliki pilihan data type=input text*/
input[type=text],
select {
  width: 100%;
  padding: 15px 20px;
  margin: 4px 4px;
  border: 1px solid #9b9b9b;
  border-radius: 4px;
  color: #424242;
  font-weight: bold;
  font-size: 14px;
  font-style: italic !important;
  vertical-align: middle;
}

textarea.form-control {
  /*CSS untuk ............*/
  color: #292929;
  font-size: 13px;
  font-weight: bold;
  font-style: italic !important;
  border: 1px solid #9b9b9b;
}


a.page-modal {
  color: #212529;
}

.td-nama {
  font-weight: bold;
}

.kotak-biodata {
  max-height: 379px;
  max-width: 299px;
  padding-top: 9px;
  margin-left: 39px;
  background-color: #fff;
  border: 1px solid #ced4da;
  border-radius: 4px;

}

.jarak-tulisan {
  padding-top: 4px;
  margin-left: 5px;
  vertical-align: middle;
}

.foto-profil {
  width: 200px;
  height: 230px;
  justify-content: center;
  border: 1px solid #9b9b9b;
}

.gambar-foto {
  padding: 5px;
  text-align: center;
  border-radius: 4px;
}

.nama-profil {
  background-color: #02B878;
  font-size: 14px;
  font-family: -apple-system, BlinkMacSystemFont, "Roboto", "Helvetica Neue", Arial, sans-serif !important;
  color: #ffffff;
  text-align: center !important;
  justify-content: center !important;
  font-weight: bold;
  padding: 4px;
  border-radius: 4px;
  margin-left: 29px;
  margin-right: 29px;

}

.nama-diprofil {
  background-color: #02B878;
  font-size: 12px;
  font-family: -apple-system, BlinkMacSystemFont, "Roboto", "Helvetica Neue", Arial, sans-serif !important;
  color: #ffffff;
  text-align: center !important;
  justify-content: center !important;
  font-weight: bold;
  padding: 6px;
  border-radius: 4px;

}

.npk-profil {
  background-color: transparent;
  font-size: 19px;
  text-align: center;
  font-weight: bolder;
  border-radius: 5px;
  color: #fbff09;
}

.text-data {
  font-family: -apple-system, BlinkMacSystemFont, "Roboto", "Helvetica Neue", Arial, sans-serif;
  font-size: 13px;
  font-weight: 250;
}

.text-bold {
  font-weight: bold;
}

.title-data {
  font-family: -apple-system, BlinkMacSystemFont, "Roboto", "Helvetica Neue", Arial, sans-serif;
  font-size: 13px;
  font-weight: 90;
  color: #02B878;
}

.data-diprofil {
  /*CSS untuk tulisan Data di halaman semua list karyawan*/
  color: #292929;
  font-size: 12px;
  text-align: center !important;
  justify-content: center !important;
  font-weight: bold;
}

.col-auto {
  padding-left: 20px !important;

}

.card-profil {
  /*CSS Card Box di halaman semua list Karyawan*/
  width: 290px;
  height: 350px;
  padding: 4px;
  box-shadow: 3px 3px 3px rgb(223, 223, 223);
  border-radius: 5px;
  border: 1px solid #bbc2c9;
  margin-bottom: 10px;
  margin-top: 5px
}

.btn-transparan {
  color: #292929;
  font-size: 25px !important;
  font-weight: bold;
  background-color: transparent;
  box-shadow: none !important;

}

.btn-transparan:hover {
  color: #02B878;
  font-size: 29px !important;
  font-weight: bold;
  background-color: transparent;
  box-shadow: none !important;
}

.btn-kembali:hover {
  color: #02B878;
  font-size: 22px !important;
  font-weight: bold;
  background-color: transparent;
  box-shadow: none !important;
}



.kotak-form {
  border: 1px #b8b8b8;
  padding: 10px;
  box-shadow: 5px 5px #888888;
}

.list-karyawan {
  font-family: -apple-system, BlinkMacSystemFont, "Roboto", "Helvetica Neue", Arial, sans-serif;
  font-size: 11px;
  font-weight: bold;
  color: #02B878;
  text-align: center;
}

.list-karyawan2 {
  font-family: -apple-system, BlinkMacSystemFont, "Roboto", "Helvetica Neue", Arial, sans-serif;
  font-size: 11px;
  color: #292929;
  text-align: center;
}

.kotak-gambar {
  border-radius: 5px;
  background-color: #B4FFB8;
  margin-left: 4px;
  margin-right: 4px;
  margin-top: 2px;
  margin-bottom: 6px;
  box-shadow: #c9c9c9;
}

.kotak-gambar2 {
  background-color: #b8b8b9;
}

.card-shadow {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.card-shadow-kecil {
  box-shadow: 0 2px 3px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  border-radius: 5px;
}

.card-shadow-kecil2 {
  box-shadow: 0 2px 3px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  border-radius: 5px;
  width: auto;
  height: 99px;
  vertical-align: middle;
}

.text-title-card {
  color: #023a28;
  font-size: 16px;

}

.text-deskripsi-card {
  /*Deskripsi Text pada Card Record Count Halaman Personalia*/
  color: #797979;
  font-size: 12px;
  border-top: 1px solid #797979;
  margin-top: 8px;
  padding-top: 8px;
}

.text-deskripsi-2 {
  color: #111119 !important;
  font-size: 9px;
  font-weight:bold;
  margin-top: 8px;
  padding-top: 8px;
}

.text-card-hitung {
  /*Deskripsi Text pada Card Record Count Halaman Personalia*/
  color: #797979;
  font-size: 12px;
  border-top: 1px solid #797979;
  margin-top: 2px;
  padding-top: 2px;
}

input[type="text"],
input[type="password"] {
  width: 100%;
  box-sizing: border-box;
  border: 2px solid #ccc;
  border-radius: 4px;
  font-size: 10px;
  background-color: white !important;
  background-repeat: no-repeat;
  padding: 12px 20px 12px 40px;
}

#topbar {
  padding: 0px !important;
}

.btn-topbar {
  color: #fff;
  background: none;
  border: transparent !important;
}

.nama-user {
  color: #ffffff;
  font-family: -apple-system, BlinkMacSystemFont, "Roboto", "Helvetica Neue", Arial, sans-serif;
  font-weight: bold;
}

.btn-aktif {
  color: #1efd00;
  margin-right: 4px;

}

.btn-ganti-foto {
  position: absolute;
  font-size: 12px;
  top: 65%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 4px 9px;
  background-color: #a19999;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  z-index: 10; /* Pastikan tombol berada di atas gambar */
  opacity: 0.69;
}

.btn-ganti-foto:hover {
  background-color: #02B787;
  color: #ffee09;
  opacity: 1;
}

.text-signin {
  padding-top: 3px;
  color: #6e6d8d;
  font-weight: bold;
  font-size: 11px;
  justify-content: center;
  align-self: center;
  font-family: -apple-system, BlinkMacSystemFont, "Roboto", "Helvetica Neue", Arial, sans-serif !important;
}

.logo-sikabar {
  /*CSS Logo sikabar dalam kotak signin dihalaman index*/
  padding-top: 5px;
  padding-bottom: 5px;
  width: 100%;
}


input[placeholder] {
  color: #b8b8b8;
  padding-left: 16px;
  vertical-align: middle !important;
  margin-top: 0 !important;
  font-size: 13px !important;


}

input[placeholder]::content {
  color: #b8b8b8;
  padding-left: 16px;
  vertical-align: middle !important;
  margin-top: 0 !important;
  font-size: 13px !important;
  font-weight: normal;
}

select[placeholder] {
  color: #b8b8b8;
  padding-left: 16px;
  vertical-align: middle !important;
  margin-top: 0 !important;
  font-size: 13px !important;
  font-weight: normal;
}


/**BOX / KOTAK FORM INPUT*/
text textarea,
textarea.form-control,
input.form-control,
input[type=text] [type=text].form-control,
[type=password].form-control,
[type=email].form-control,
[type=tel].form-control,
[contenteditable].form-control {
  width: 100%;
  padding: 6px 10px;
  /*Ukuran Kotak Form dan jarak tulisan dari pinggir*/
  margin: 5px 0;
  /*>> jarak tulian form*/
  display: block;
  border: 1px solid #b8b6b9;
  border-radius: 5px;
  background-color: #ffffff;
  color: #252529;

}

input[name=search].form-control {
  /*KOTAK FORM SEARCH*/

  width: 100% !important;
  padding: 9px !important;
  margin: 3px 0;
  /*>> jarak tulian form*/
  border: 1px solid #b8b6b9;
  border-radius: 5px;
  background-color: #ffffff;
  color: #252529;

}

/**BOX KOTAK FORM INPUT saat diklik*/
textarea:focus,
textarea.form-control:focus,
input.form-control:focus,
input[type=text]:focus,
input[type=password]:focus,
input[type=email]:focus,
input[type=number]:focus,
[type=text].form-control:focus,
[type=password].form-control:focus,
[type=email].form-control:focus,
[type=tel].form-control:focus,
[contenteditable].form-control:focus {
  width: 100%;
  padding: 6px 10px;
  /*Ukuran Kotak Form dan jarak tulisan dari pinggir*/
  margin: 5px 0;
  /* >> jarak tulian form*/
  display: inline-block;
  border-radius: 4px;
  box-sizing: border-box;
  background-color: #ffffff;
  color: #252529;

}

.card-body {
  padding: 1.5rem;
  flex: 1 1 auto
}

.card-body-count {
  padding: 1.5rem;
  flex: 1 1 auto;
  color: #484848;
}

.card-title {
  margin-bottom: 1.25rem
}

.card-subtitle {
  margin-top: -.625rem;
  margin-bottom: 0
}

.card-text:last-child {
  margin-bottom: 0
}

.card-link:hover {
  text-decoration: none
}

.card-link+.card-link {
  margin-left: 1.5rem
}

.card-header {
  margin-bottom: 0;
  padding: 1.25rem 1.5rem;
  border-bottom: 1px solid rgba(0, 0, 0, .05);
  background-color: #fff
}

.card-header:first-child {
  border-radius: calc(.375rem - 1px) calc(.375rem - 1px) 0 0
}

.card-header+.list-group .list-group-item:first-child {
  border-top: 0
}

.card-footer {
  padding: 1.25rem 1.5rem;
  border-top: 1px solid rgba(0, 0, 0, .05);
  background-color: #fff
}

.card-footer:last-child {
  border-radius: 0 0 calc(.375rem - 1px) calc(.375rem - 1px)
}

.card-header-tabs {
  margin-right: -.75rem;
  margin-bottom: -1.25rem;
  margin-left: -.75rem;
  border-bottom: 0
}

.card-header-pills {
  margin-right: -.75rem;
  margin-left: -.75rem
}

.card-img-overlay {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  padding: 1.25rem
}

.card-img {
  width: 100%;
  border-radius: calc(.375rem - 1px)
}

.card-img-top {
  width: 100%;
  border-top-left-radius: calc(.375rem - 1px);
  border-top-right-radius: calc(.375rem - 1px)
}

.card-img-bottom {
  width: 100%;
  border-bottom-right-radius: calc(.375rem - 1px);
  border-bottom-left-radius: calc(.375rem - 1px)
}

.card-deck {
  display: flex;
  flex-direction: column
}

.card-deck .card {
  margin-bottom: 15px
}

.card-group {
  display: flex;
  flex-direction: column
}

.card-group>.card {
  margin-bottom: 15px
}



.card-columns .card {
  margin-bottom: 1.25rem
}

.bg-gradient-light {
  background: linear-gradient(87deg, #ffffff 0, #fdfffe 100%) !important
}

.avatar.rounded-circle img,
.rounded-circle {
  border-radius: 50% !important
}

.shadow-sm--hover:hover {
  box-shadow: 0 0 .5rem rgba(136, 152, 170, .075) !important
}

.shadow--hover:hover {
  box-shadow: 0 0 2rem 0 rgba(136, 152, 170, .15) !important
}

.shadow-lg--hover:hover {
  box-shadow: 0 0 3rem rgba(136, 152, 170, .175) !important
}

.shadow-none--hover:hover {
  box-shadow: none !important
}

h4.value {
  color: #0d4f38;
  font-size: 29px;
  vertical-align: middle;
}

h6.text-statistik {
  font-family: -apple-system, BlinkMacSystemFont, 'Roboto', 'Helvetica Neue', sans-serif !important;
  color: #ffffff;
  font-size: 14px;
}

.bg-header-card {
  background-color: #e7e7e8;

  padding: 4px !important;
  vertical-align: middle;
}

.text-deskripsi-header {
  color: #494949;
  padding-left: 8px;

}

.kotak-chart {
  color: #292929;
  font-family: -apple-system, BlinkMacSystemFont, 'Roboto', 'Helvetica Neue', sans-serif !important;
  font-size: 12px !important;
  background-color: #ffffff;
}

.text-kanan {
  text-align: right;
}

.text-tanggal {
  color: #ffffff;
  font-family: -apple-system, BlinkMacSystemFont, 'Roboto', 'Helvetica Neue', sans-serif !important;
  font-size: 12px;

}

.text-judul-aplikasi{
  color: #292929;
  font-family: -apple-system, BlinkMacSystemFont, 'Roboto', 'Helvetica Neue', sans-serif !important;
  font-weight: bold;
  padding-left: 19px;
}

.text-judul-aplikasi{
  color: #292929;
  font-family: -apple-system, BlinkMacSystemFont, 'Roboto', 'Helvetica Neue', sans-serif !important;
  font-weight: bolder;
  padding-left: 19px;
}


.text-judul {
  color: #292929;
  font-family: -apple-system, BlinkMacSystemFont, 'Roboto', 'Helvetica Neue', sans-serif !important;
  font-size: 14px;
  font-weight: bold;
  padding-left: 19px;
}

.text-deskripsi {
  color: #868e99;
  font-size: 10px;
}

small .text-deskripsi {
  color: #868e96;
  font-size: 10px;
}

.text-rekap {
  font-size: 16px !important;
  font-weight: bold;
}

.tulisan-merah {
  color: red !important;
  font-weight: bold !important;
}

.text-merah {
  color: #ca0000;
  font-size: 14px;
  text-align: center;
  font-weight: bolder;
}

.text-kuning {
  color: #ff8c00;
  font-size: 14px;
  text-align: center;
  font-weight: bolder;
}

.hijau {
  color:#02B878
}

.text-hijau {
  color: #024409;
  font-size: 14px;
  text-align: center;
  font-weight: bolder;
}

.tanggal-sekarang {
  color: #006e48;
  font-size: 14px;
  text-align: center;
  border-radius: 2px;
}

.text-hitung {
  font-size: 18px;
  text-align: left;
  color: #024409;
}

.bg-countsk {
  height: 150px;
  background-color: linear-gradient(to right, rgba(255, 0, 0, 0), rgba(255, 0, 0, 1));
}

.bg-namaaplikasi {
  background-color: #ddd;
}

.icon-card {
  color: #006648;
  font-size: 38px;
  text-align: center;
  vertical-align: middle;
  margin-top: 16px;

}

.icon-card2 {
  color: #006648;
  font-size: 29px;
  text-align: center;
  vertical-align: middle;
  margin-top: 3px;

}

.text-count {
  color: #023a28;
  font-size: 38px;
  text-align: center;
  vertical-align: middle;
  margin-top: 16px;
}

/*BACKGROUND UNTUK CARD HALAMAN PERSONALIA*/
.bg-hijau {
  background-image: linear-gradient(to right, #4fff66, #afff9b);
  opacity: 50%;
}

.bg-orange {
  background-image: linear-gradient(to right, #ff9908, #ffb778);
  opacity: 50%;
}

.bg-kuning {
  background-image: linear-gradient(to right, #ffee08, #fff68e);
  opacity: 50%;
}

.bg-card-putih {
  background-image: linear-gradient(to right, #bebebe, #e6e6e6);
  opacity: 50%;
}